Skip to main content
POST
Create a webhook for a team event type

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

eventTypeId
number
required
teamId
number
required

Body

application/json
active
boolean
required
subscriberUrl
string
required
triggers
enum<string>[]
required
Available options:
BOOKING_CREATED,
BOOKING_PAYMENT_INITIATED,
BOOKING_PAID,
BOOKING_RESCHEDULED,
BOOKING_REQUESTED,
BOOKING_CANCELLED,
BOOKING_REJECTED,
BOOKING_NO_SHOW_UPDATED,
FORM_SUBMITTED,
MEETING_ENDED,
MEETING_STARTED,
RECORDING_READY,
INSTANT_MEETING,
INSTANT_MEETING_ACCEPTED,
RECORDING_TRANSCRIPTION_GENERATED,
OOO_CREATED,
AFTER_HOSTS_CAL_VIDEO_NO_SHOW,
AFTER_GUESTS_CAL_VIDEO_NO_SHOW,
FORM_SUBMITTED_NO_EVENT,
ROUTING_FORM_FALLBACK_HIT,
DELEGATION_CREDENTIAL_ERROR,
WRONG_ASSIGNMENT_REPORT,
DELEGATION_CREDENTIAL_SECRET_ROTATION_FAILED,
DELEGATION_CREDENTIAL_ROTATION_REQUIRED,
DELEGATION_CREDENTIAL_SECRET_ROTATED,
CALENDAR_ENTRY_REJECTED
Example:
payloadTemplate
string

The template of the payload that will be sent to the subscriberUrl, check cal.com/docs/core-features/webhooks for more information

Example:

"{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}"

secret
string
version
enum<string>

The version of the webhook

Available options:
2021-10-20
Example:

"2021-10-20"

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required